### Method

# FwupdPlugin UdevDevice is_pci_base_cls

since: 1.8.11

#### Declaration [src]

    gboolean
    fu_udev_device_is_pci_base_cls (
      FuUdevDevice* self,
      FuPciBaseCls cls
    )

#### Description [src]

Determines whether the device matches a given pci base class type.

Available since: 1.8.11

#### Parameters

`cls`

  Type: `FuPciBaseCls`

  `FuPciBaseCls` type.

#### Return value

Type: `gboolean`

No description available.